CJ_Clippy aa75c224fc
Some checks failed
ci / build (push) Failing after 23m29s
ci / Tests & Checks (push) Failing after 3m32s
move services/bright to apps/bright
2025-02-10 08:16:50 -08:00

16 lines
450 B
Plaintext

#!/command/with-contenv sh
if [ -z "$WHITELIST_FEED_URL" ]; then
echo "Error: WHITELIST_FEED_URL is not set" >&2
exit 1
fi
echo "Loading whitelist from ${WHITELIST_FEED_URL}"
curl -sS --request GET --header "accept: text/plain" --url "$WHITELIST_FEED_URL" -o /etc/opentracker/whitelist || echo "Warning: Failed to fetch whitelist, using existing whitelist file."
s6-setuidgid farmhand /bin/opentracker -f /etc/opentracker/opentracker.conf